﻿using GrapeCity.Documents.Pdf;
using System;
using System.Diagnostics;
using System.IO;

namespace DockerJSViewerCore
{
    public sealed class DirectoryFontResolver : GrapeCity.ActiveReports.IFontResolver
    {
        static readonly GrapeCity.Documents.Text.FontCollection _fonts = new GrapeCity.Documents.Text.FontCollection();
        static DirectoryFontResolver()
        {
            string fontFolder = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "Fonts");
            _fonts.RegisterDirectory(fontFolder);
            _fonts.DefaultFont = _fonts.FindFamilyName("Arial");
            try {
                Debug.WriteLine(_fonts.DefaultFont.FontFamilyName);
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex.Message);
                Debug.WriteLine("Unable to fetch ");
            }
        }
        public static GrapeCity.ActiveReports.IFontResolver Instance = new DirectoryFontResolver();
        private DirectoryFontResolver() { }
        GrapeCity.Documents.Text.FontCollection GrapeCity.ActiveReports.IFontResolver.GetFonts(string familyName, bool isBold, bool isItalic)
        {
            var fonts = new GrapeCity.Documents.Text.FontCollection();
            var font = _fonts.FindFamilyName(familyName, isBold, isItalic);
            if (font != null) fonts.Add(font);
            fonts.Add(_fonts.DefaultFont);
            return fonts;
        }
    }


}
